=== modified file 'ivle/webapp/base/ivle-headings.html'
--- ivle/webapp/base/ivle-headings.html	2009-02-24 02:02:03 +0000
+++ ivle/webapp/base/ivle-headings.html	2009-02-24 06:39:45 +0000
@@ -37,10 +37,11 @@
   </py:match>    
   <py:match path="body[@status!='done']" once="true">
     <body>
-      <div id="ivleheader"></div>
+      <div id="ivleheader">
+        <h1><img src="${title_img}"
+            alt="Informatics Virtual Learning Environment" /></h1>
+      </div>
       <div id="ivleheader_text">
-        <h1>IVLE</h1>
-        <h2>Informatics Virtual Learning Environment</h2>
         <py:choose>
           <p py:when="publicmode" class="userhello">Running in public mode.</p>
           <p py:when="logged_in" class="userhello">

=== modified file 'ivle/webapp/base/xhtml.py'
--- ivle/webapp/base/xhtml.py	2009-02-23 13:06:17 +0000
+++ ivle/webapp/base/xhtml.py	2009-02-24 06:39:45 +0000
@@ -85,6 +85,8 @@
 
         ctx['scripts_init'] = req.scripts_init
         ctx['app_template'] = app
+        ctx['title_img'] = media_url(req, CorePlugin,
+                                     "images/chrome/title.png")
         self.populate_headings(req, ctx)
         tmpl = loader.load(os.path.join(os.path.dirname(__file__), 
                                                         'ivle-headings.html'))

=== modified file 'ivle/webapp/coremedia/ivle.css'
--- ivle/webapp/coremedia/ivle.css	2009-02-24 04:48:56 +0000
+++ ivle/webapp/coremedia/ivle.css	2009-02-24 06:39:45 +0000
@@ -46,23 +46,20 @@
     z-index: 1;     /* Background to all, but the body */
 }
 
+#ivleheader h1 {
+    margin: 0;
+    padding: 8px;
+}
+
 #ivleheader_text {
     /* Pad left and right. */
     position: absolute;
     padding: 0 1em;
-    background-image: url(../ivle.webapp.core/images/chrome/title.png);
-    background-repeat: no-repeat;
-    background-position: 8px 8px;
-    height: 50px;   /* background-position y + image height = 8 + 42 */
     left: 0;
     right: 0;
     z-index: 3;     /* In front */
 }
 
-#ivleheader_text h1, #ivleheader_text h2 {
-    display: none;
-}
-
 /* Note: The body has NO PADDING by default (unlike plain HTML).
  * This is because almost all of the apps need this behaviour.
  * If a particular app needs padding, it should manually wrap all of its

